commit:     89829a80ef30057203ef5956402722865257e00d
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 15 05:57:38 2024 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Apr 15 06:03:22 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89829a80

dev-util/librnp: restrict sexpp dep, fix tests call

Closes: https://bugs.gentoo.org/927638
Bug: https://bugs.gentoo.org/929906
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 .../librnp/{librnp-0.17.0-r2.ebuild => librnp-0.17.0-r3.ebuild}   | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/dev-util/librnp/librnp-0.17.0-r2.ebuild 
b/dev-util/librnp/librnp-0.17.0-r3.ebuild
similarity index 91%
rename from dev-util/librnp/librnp-0.17.0-r2.ebuild
rename to dev-util/librnp/librnp-0.17.0-r3.ebuild
index b04311dc0379..1ffd2d040346 100644
--- a/dev-util/librnp/librnp-0.17.0-r2.ebuild
+++ b/dev-util/librnp/librnp-0.17.0-r3.ebuild
@@ -1,9 +1,9 @@
-# Copyright 2022-2023 Gentoo Authors
+# Copyright 2022-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
-inherit cmake
+inherit cmake multiprocessing
 
 DESCRIPTION="High performance C++ OpenPGP library"
 HOMEPAGE="https://www.rnpgp.org/ https://github.com/rnpgp/rnp";
@@ -16,7 +16,7 @@ IUSE="+botan man test"
 
 RDEPEND="app-arch/bzip2
        dev-libs/json-c:=
-       >=dev-libs/sexpp-0.8.5[-static-libs(-)]
+       =dev-libs/sexpp-0.8.6*[-static-libs(-)]
        sys-libs/zlib
        botan? ( dev-libs/botan:2= )
        !botan? ( >=dev-libs/openssl-1.1.1:= )"
@@ -76,7 +76,7 @@ src_configure() {
 
 src_test() {
        cd "${BUILD_DIR}"/src/tests || die
-       ctest -j"${MAKEOPTS}" -R .* --output-on-failure || die
+       ctest -j$(makeopts_jobs) -R .* --output-on-failure || die
 }
 
 src_install() {

Reply via email to